Subject: [Tsvwg] SCTP: INITACK handling doubt

From: [email-masked]
Date: Tue, 25 Jun 2002 13:14:20 +0530

Hi All,

I have a very basic doubt about the handling of INITACK message. Please consider
the following scenario.
Side A send a INIT message to side B with src_port = Port A, src_addr = IP A,
dst_port = Port B, dst_addr= IP B, Init-Tag = Tag A.
Side sends back INITACK but changes its port number and/or IP address, So
INITACK has src_addr= IP C,  src_port = PORT C, dst_port = PORT A, dst_addr = IP
A. V-Tag = Tag A.

Questions :-
a) Is it allowed by SCTP specification that SCTP at side A while processing
INITACK message uses only dst_port, dst_addr and V-Tag parameters to correlate
received INITACK message with TCB of association sending INIT messag and ignores
src_port and src_address parameters ?
b) If it is allowed, is it a mandatory feature, So is it correct to assume that
if some implementation sends such INITACK, other side will be processing it ?
c) If it is a optional feature, Does any existing implementations supports this
?

Best Regards.
-Sandeep

DISCLAIMER: This message is proprietary to Hughes Software Systems
Limited (HSS) and is intended solely for the use of the individual
to whom it is addressed. It may contain  privileged or confidential
information  and should not be circulated or used for any purpose other
than for what it is intended. If you have received this message in error,
please notify the originator immediately. If you are not the intended
recipient, you are notified that you are strictly prohibited from using,
copying, altering, or disclosing the contents of this message. HSS accepts
no responsibility for loss or damage arising from the use of the information
transmitted by this email including damage from virus.

_______________________________________________
tsvwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/tsvwg

---

From: Michael Tuexen <[email-masked]>
Date: Tue, 25 Jun 2002 13:46:48 +0200

Sandeep,

see my comments below.

Best regards
Michael

> src_port and src_address parameters ?
This is not allowed in SCTP as defined in RFC 2960 and the Implementor 
guide.
Side A uses the
- the source port number
- destination port number (= port A)
- source address
- destination address
- addresses in the list of addresses in the INIT-ACK chunk
of the packet containing the INIT-ACK chunk to match the local TCB.
Therefore the source port of the INIT-ACK packet must be the destination 
port
of the INIT packet. The destination address of the INIT packet must be 
the
source address of the INIT-ACK or one of the addresses contained in the 
INIT-ACK.
This is clarified in the Implementor Guide.
> if some implementation sends such INITACK, other side will be 
It is OOTB.
> c) If it is a optional feature, Does any existing implementations 
The correct behavior is OOTB handling. You MAY send an ABORT but B has no
TCB so sending makes only sense for debugging.

> transmitted by this email including damage from virus.
[email-masked]